#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidDefaultTag {
    #[builder(into)]
    #[serde(rename = "defaultTag")]
    default_tag: String,
}
impl InvalidDefaultTag {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(default_tag: impl Into<String>) -> Self {
        Self::builder().default_tag(default_tag).build()
    }
    #[inline]
    pub fn default_tag(&self) -> &str {
        &*self.default_tag
    }
}
impl conjure_error::ErrorType for InvalidDefaultTag {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "ContainerizedExtractor:InvalidDefaultTag"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["defaultTag"]
    }
}
